package com.bonus.core.marketing.v2.rule.recharge.handler.timesgift.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel("充值规则详情-按次数赠送")
public class RechargeTimesGiftDTO {
   @ApiModelProperty("统计维度(日，周，月)")
   private Integer sumType;
   @ApiModelProperty("阶梯信息")
   private List<List<RechargeTimesGiftItemDTO>> items;

   public Integer getSumType() {
      return this.sumType;
   }

   public List<List<RechargeTimesGiftItemDTO>> getItems() {
      return this.items;
   }

   public void setSumType(final Integer sumType) {
      this.sumType = sumType;
   }

   public void setItems(final List<List<RechargeTimesGiftItemDTO>> items) {
      this.items = items;
   }

   public RechargeTimesGiftDTO(final Integer sumType, final List<List<RechargeTimesGiftItemDTO>> items) {
      this.sumType = sumType;
      this.items = items;
   }
}
